/*
DWORD hdc, hrc;
PAINTSTRUCT ps; 
RECT rcGL;
PIXELFORMATDESCRIPTOR pfd; 
*/

BOOLEAN InitGL()
{


IF (hWnd==0) return FALSE;
hdc=GetDC(hWnd);
ZeroMemory(#pfd,sizeof(PIXELFORMATDESCRIPTOR)); 
pfd.nSize=sizeof(PIXELFORMATDESCRIPTOR);
pfd.nVersion=1;
pfd.dwFlags=PFD_SUPPORT_OPENGL+PFD_DOUBLEBUFFER+PFD_DRAW_TO_WINDOW;
pfd.dwLayerMask=PFD_MAIN_PLANE;
pfd.iPixelType=PFD_TYPE_RGBA;
pfd.cColorBits=16;   //24 ;16
pfd.cDepthBits=16;   //;32 ;16
pfd.cAccumBits=0;
pfd.cStencilBits=0;
ChoosePixelFormat(hdc,#pfd);
SetPixelFormat(hdc,EAX,#pfd);
hrc=wglCreateContext(hdc);
wglMakeCurrent(hdc,hrc);



//задание области вывода в окне:
//Определяем Viewport для OpenGL
GetClientRect(hWnd,#rcGL);
glViewport(0,0,rcGL.right,rcGL.bottom);

//Загружать текстуру надо тут
//если сделать до того как инитициализирован OpenGL
//то работать не будет
//LoadPCX(#PCXname);


//glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST);

//glTexImage2D(GL_TEXTURE_2D, 0, 3,
//              256, 256, 0, GL_RGB, 
//              GL_UNSIGNED_BYTE, LpBufferRGB);



//Z Buffer
//разрешение использования z-буфера:
glEnable(GL_DEPTH_TEST);
glDepthFunc(GL_LESS);
glClearDepth(lo_d(float 1.0),hi_d(float 1.0)); 


//Back color
//фоновый цвет, им заполняется буфер GL_COLOR_BUFFER_BIT
//при выполнении glClear(GL_COLOR_BUFFER_BIT)
glClearColor(0.0f, 0.0f, 0.5f, 1.0f);

//Culling
//glEnable(GL_CULL_FACE);
//glCullFace(GL_BACK);

//Разрешаем приминение 2D текстуры
glEnable(GL_TEXTURE_2D);







glMatrixMode(GL_PROJECTION);
//загрузка значениями по умолчанию
glLoadIdentity();


glMatrixMode(GL_PROJECTION);
glLoadIdentity();


  gluPerspective(lo_d(float 55),hi_d(float 55),
                 lo_d(float 1), hi_d(float 1),
                 lo_d(float 1.), hi_d(float 1),
                 lo_d(float 300), hi_d(float 300));


	
/*

_gluPerspective(lo_d(float 55.0),hi_d(float 55.0), 
                rcGL.right,rcGL.bottom,
                lo_d(float 0.01), hi_d(float 0.01),
                lo_d(float 10.0), hi_d(float 10.0));

        
*/
 

glMatrixMode(GL_MODELVIEW);
glLoadIdentity();



}




